Subject: bug#65797: `buffer-match-p` should not use `func-arity`

From: Dmitry Gutov <[email-masked]>
Date: Thu, 12 Oct 2023 14:34:13 +0300

On 10/10/2023 00:40, Stefan Monnier wrote:
> Then how 'bout something like the patch below which changes the
> `&optional` into an `&rest` but tries to preserve compatibility with the
> old calling convention.

Personally, I figured that using &rest would already help with backward 
compatibility to an extent.